/*
Theme Name: Avada Child
Description: Child theme for Avada theme
Author: ThemeFusion
Author URI: https://theme-fusion.com
Template: Avada
Version: 1.0.0
Text Domain:  Avada
*/


/* For browsers that support clamp  */
@supports (font-size: clamp(1rem, 1vw, 1rem)) {
:root {
  --kt-sm: clamp(0.84rem, -0.12vw + 0.86rem, 0.79rem);
  --kt-base: clamp(1.13rem, 0.22vw + 1.08rem, 1.19rem);
  --kt-med: clamp(1.19rem, 0.69vw + 1.05rem, 1.39rem);
  --kt-l: clamp(1.33rem, 1.38vw + 1.05rem, 1.85rem);
  --kt-xl: clamp(1.49rem, 2.35vw + 1.02rem, 2.47rem);
  --kt-xxl: clamp(1.68rem, 3.71vw + 0.94rem, 3.29rem);
  --kt-xxxl: clamp(1.89rem, 5.59vw + 0.77rem, 4.39rem);

/* Inject directly into Avada's system */
  --h1_typography-font-size: var(--kt-xxl) !important;
    --h2_typography-font-size: var(--kt-xl) !important;
  --h3_typography-font-size: var(--kt-l) !important;
    --h4_typography-font-size: var(--kt-med) !important;
  --p_typography-font-size: var(--kt-base) !important;
    --checklist_item_size: var(--kt-base) !important;
  }
}


/* For browsers that don't support clamp */
@supports not (font-size: clamp(1rem, 1vw, 1rem)) {
  :root {
    --kt-sm: 0.84rem;
    --kt-base: 1.13rem;
    --kt-med: 1.19rem;
    --kt-l: 1.33rem;
    --kt-xl: 1.49rem;
    --kt-xxl: 1.68rem;
    --kt-xxxl: 1.89rem;
  }
  @media screen and (min-width: 1200px) {
    :root {
      --kt-sm: 0.79rem;
      --kt-base: 1.19rem;
      --kt-med: 1.39rem;
      --kt-l: 1.85rem;
      --kt-xl: 2.47rem;
      --kt-xxl: 3.29rem;
      --kt-xxxl: 4.39rem;
    }
  }
}
